### org.jfree.layouting.modules.output.pdf

# Class PdfOutputModule

- `AbstractModule`
- - `org.jfree.layouting.modules.output.pdf.PdfOutputModule`

`public class PdfOutputModule`
`extends AbstractModule`

Creation-Date: 02.12.2006, 17:02:40

Author:
  Thomas Morgner

  ## Field Summary

  `static String`

  `SECURITY_ENCRYPTION_128BIT`
    A constant for the encryption type (128 bit).

  `static String`

  `SECURITY_ENCRYPTION_40BIT`
    A constant for the encryption type (40 bit).

  `static String`

  `SECURITY_ENCRYPTION_NONE`
    A constant for the encryption type (40 bit).

  ## Constructor Summary

  `PdfOutputModule()`

  ## Method Summary

  `static ITextFontRegistry`

  `getFontRegistry()`

  `void`

  `initialize(SubSystem subSystem)`
    Initialialize the font factory when this class is loaded and the system property of `"org.jfree.report.modules.output.pageable.itext.PDFOutputTarget.AutoInit"` is set to `true`.

## Field Details

### SECURITY_ENCRYPTION_128BIT

    public static final String SECURITY_ENCRYPTION_128BIT

> A constant for the encryption type (128 bit).

### SECURITY_ENCRYPTION_40BIT

    public static final String SECURITY_ENCRYPTION_40BIT

> A constant for the encryption type (40 bit).

### SECURITY_ENCRYPTION_NONE

    public static final String SECURITY_ENCRYPTION_NONE

> A constant for the encryption type (40 bit).

## Constructor Details

### PdfOutputModule

    public PdfOutputModule()
                throws ModuleInitializeException

## Method Details

### getFontRegistry

    public static ITextFontRegistry getFontRegistry()

### initialize

    public void initialize(SubSystem subSystem)
                throws ModuleInitializeException

> Initialialize the font factory when this class is loaded and the system property of `"org.jfree.report.modules.output.pageable.itext.PDFOutputTarget.AutoInit"` is set to `true`.